View Issue Details

IDProjectCategoryView StatusLast Update
0021400mantisbtuipublic2016-08-28 01:11
ReportervboctorAssigned Tosyncguru 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.0.0-beta.2Fixed in Version2.0.0-beta.2 
Summary0021400: Collapse settings are not saved by modern UI
Description

The modern UI honors the collapsed settings that were saved by the classic UI, but changes of collapsing on the modern UI are not persisted. This appears to be that certain sections are stuck as collapsed and can't be changed.

Solution:
Option 1. Persist the collapse flag as users interact with the modern UI.
Option 2. Don't save collapse settings or honor ones from classic UI.

Option 1 would be better specially for filter box.

Tagsmodern-ui

Relationships

has duplicate 0021120 closedsyncguru Unwanted changes of state of navigation bar 

Activities

Related Changesets

MantisBT: master c7787f96

2016-08-22 15:20:45

syncguru

Details Diff
Fix generation & parsing of collapse cookie

Fixes 0021400
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2016-07-21 05:01 vboctor New Issue
2016-07-21 05:01 vboctor Tag Attached: modern-ui
2016-07-23 02:33 vboctor Status new => confirmed
2016-07-23 02:33 vboctor Summary Filter box and notes on issue page keeps getting collapsed => Collapse settings are not saved by modern UI
2016-07-23 02:33 vboctor Description Updated View Revisions
2016-08-22 15:22 syncguru Assigned To => syncguru
2016-08-22 15:22 syncguru Status confirmed => assigned
2016-08-22 15:22 syncguru Note Added: 0053880
2016-08-23 00:54 syncguru Relationship added has duplicate 0021120
2016-08-23 11:47 syncguru Changeset attached => MantisBT master c7787f96
2016-08-23 11:47 syncguru Status assigned => resolved
2016-08-23 11:47 syncguru Resolution open => fixed
2016-08-23 11:47 syncguru Fixed in Version => 2.0.0-beta.2
2016-08-28 01:11 vboctor Status resolved => closed